json-c 0.13

Data Structures | Macros | Typedefs | Functions | Variables
json_object_private.h File Reference

Do not use, json-c internal, may be changed or removed at any time. More...

## Data Structures
struct | json_object
union | json_object::data

## Macros
#define | LEN_DIRECT_STRING_DATA 32

## Typedefs
typedef void() | json_object_private_delete_fn(struct json_object *o)

## Functions
void | _json_c_set_last_err (const char *err_fmt,...)

## Variables
const char * | json_number_chars
const char * | json_hex_chars

## Detailed Description

Do not use, json-c internal, may be changed or removed at any time.

## Macro Definition Documentation

## ◆ LEN_DIRECT_STRING_DATA

#define LEN_DIRECT_STRING_DATA 32

how many bytes are directly stored in json_object for strings?

## Typedef Documentation

## ◆ json_object_private_delete_fn

typedef void() json_object_private_delete_fn(struct json_object *o)

## Function Documentation

## ◆ _json_c_set_last_err()

void _json_c_set_last_err | ( | const char * | err_fmt,
|  |  | ...
| ) |  |

## Variable Documentation

## ◆ json_hex_chars

const char* json_hex_chars
| extern

## ◆ json_number_chars

const char* json_number_chars
| extern